> ## Documentation Index
> Fetch the complete documentation index at: https://sigma-docs.pastelhq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Corporate Request Match

> ```
PUT api/v1/cdd-request/{id}/corporate-persons/{personId}/matches
```




## OpenAPI

````yaml cdd-model.json PUT /cdd-request/{id}/corporate-persons/{personId}/matches
openapi: 3.1.0
info:
  title: Sigma CDD API
  description: Customer Due Diligence API documentation
  version: 1.0.0
  license:
    name: MIT
servers:
  - url: https://sigmacdd.sabipay.com/api/v1
    description: Production
security:
  - ApiKey: []
    ApiSecret: []
paths:
  /cdd-request/{id}/corporate-persons/{personId}/matches:
    put:
      summary: Update corporate CDD request potential match
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: personId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ScreeningUpdateRequest'
            examples:
              pepFound:
                summary: PEP found (by index)
                value:
                  type: pep
                  status: found
                  index: 0
              sanctionsNotFound:
                summary: Sanctions not found
                value:
                  type: sanctions
                  status: not found
              adverseMediaFound:
                summary: Adverse media found (by indices)
                value:
                  type: adverseMedia
                  status: found
                  indices:
                    - 0
                    - 1
                    - 2
                    - 3
      responses:
        '200':
          description: CDD corporate person screening data updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponse'
              example:
                message: CDD corporate person screening data updated successfully
                data:
                  _id: 6a4b7cfc92c5399eacf1ddc4
components:
  schemas:
    ScreeningUpdateRequest:
      type: object
      required:
        - type
        - status
      properties:
        type:
          type: string
          enum:
            - pep
            - sanctions
            - adverseMedia
        status:
          type: string
          enum:
            - found
            - not found
        index:
          type: integer
        indices:
          type: array
          items:
            type: integer
    GenericResponse:
      type: object
      properties:
        message:
          type: string
        data:
          type: object
          additionalProperties: true
      example:
        message: successful
        data:
          id: 67f4f9b5c2a7d1f2b6e99122
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: apiKey
    ApiSecret:
      type: apiKey
      in: header
      name: apiSecret

````